#include <gtk/gtk.h>
#include <glade/glade.h>
#include "kf.h"
#include "gui.h"
#include "statusbar.h"

static GtkWidget *statusbar = NULL;

void kf_statusbar_set_text (const gchar *text) {
	if (statusbar == NULL) {
		extern GladeXML *iface;

		statusbar = glade_xml_get_widget (iface, "statusbar");
	}

	if (text) {
		gtk_statusbar_pop (GTK_STATUSBAR (statusbar), 1);
		gtk_statusbar_push (GTK_STATUSBAR (statusbar), 1, text);
		gtk_widget_show (statusbar);
	} else {
		gtk_widget_hide (statusbar);
	}
}
